Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.connector.store.jpa.util
Class StoreOptions

    java.lang.Object
      org.modeshape.connector.store.jpa.util.StoreOptions

    public class StoreOptions

extends Object

A utility class that provides easy access to the options stored within a database.

Nested Class Summary
`static class` | `StoreOptions.Dna`

Field Summary
`static String` | `MODEL`
`static String` | `ROOT_NODE_UUID`
`static String` | `VERSION`

Constructor Summary
`StoreOptions(javax.persistence.EntityManager manager)`

Method Summary
`String` | `getModelName()`
`String` | `getOption(String name)`
`UUID` | `getRootNodeUuid()`
`String` | `getVersion()`
`void` | `removeOption(String name)`
`void` | `setModelName(Model model)`
`void` | `setOption(String name, String value)`
`void` | `setRootNodeUuid(UUID uuid)`
`void` | `setVersion(String version)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ROOT_NODE_UUID

    public static final String ROOT_NODE_UUID

See Also:
  Constant Field Values

### VERSION

    public static final String VERSION

See Also:
  Constant Field Values

### MODEL

    public static final String MODEL

See Also:
  Constant Field Values

Constructor Detail

### StoreOptions

    public StoreOptions(javax.persistence.EntityManager manager)

Method Detail

### getRootNodeUuid

    public UUID getRootNodeUuid()

### setRootNodeUuid

    public void setRootNodeUuid(UUID uuid)

### getVersion

    public String getVersion()

### setVersion

    public void setVersion(String version)

### getModelName

    public String getModelName()

### setModelName

    public void setModelName(Model model)

### getOption

    public String getOption(String name)

### setOption

    public void setOption(String name,
                          String value)

### removeOption

    public void removeOption(String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.